Page MenuHomePhabricator

Suggested top articles in Hindi are not being renderered correctly
Closed, ResolvedPublic

Description

Reported at https://meta.wikimedia.org/wiki/Research_talk:Increasing_article_coverage/Tool#A_bug and https://meta.wikimedia.org/wiki/Research_talk:Increasing_article_coverage/Tool#Broken_links.

Visit https://recommend.wmflabs.org/ and select Hindi (source) and English (target). Click on the first suggestion. The article title is मानक हिंदी वर्तनी for me. The displayed overlay reads: "झलक दिखाना विफल हुआ" which is translated to "Show thumbnail failed" (according to Google translate). Here are some screenshots.

  1. Top articles

scrot-area-2018-05-01_17:48:23.png (929×1 px, 321 KB)

  1. First top article

scrot-area-2018-05-01_17:48:35.png (939×1 px, 76 KB)

  1. The first article on Wikipedia

scrot-area-2018-05-01_17:49:20.png (908×1 px, 349 KB)

A/C

  • Article content should be shown rather than the error message when article thumbnail is clicked.

Event Timeline

Change 430439 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[research/recommendation-api@master] Do not encode URI components

https://gerrit.wikimedia.org/r/430439

Change 430439 merged by jenkins-bot:
[research/recommendation-api@master] Do not encode URI components

https://gerrit.wikimedia.org/r/430439

bmansurov claimed this task.
bmansurov removed a project: Patch-For-Review.
bmansurov moved this task from Backlog to Done on the GapFinder board.
Vvjjkkii renamed this task from Suggested top articles in Hindi are not being renderered correctly to 8tdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed bmansurov as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: gerritbot.
CommunityTechBot renamed this task from 8tdaaaaaaa to Suggested top articles in Hindi are not being renderered correctly.Jul 1 2018, 9:46 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to bmansurov.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: gerritbot.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 1:56 AM